[Bug 935274] Re: Please remove libxslt-ruby source and binaries from precise

Micah Gersten launchpad at micahscomputing.com
Sun Apr 15 08:16:05 UTC 2012

** Summary changed:

- libxslt-ruby version 0.9.2-5 FTBFS on i386 in precise
+ Please remove libxslt-ruby source and binaries from precise

** Bug watch added: Debian Bug tracker #668061

** Also affects: libxslt-ruby (Debian) via
   Importance: Unknown
       Status: Unknown

** Description changed:

+ Package FTBFS in Ubuntu with no reverse dependencies.
- This is a semi-automatic report based on the latest archive rebuild results [1].
- Apologies if it reaches you in error.
- Excerpt from the buildlog:
-   LDFLAGS = -L. -Wl,-Bsymbolic-functions -rdynamic -Wl,-export-dynamic
- -L/usr/lib/i386-linux-gnu -lxslt -lxml2 -lexslt
- creating extconf.h
- creating Makefile
- /usr/lib/ruby/1.8/mkmf.rb:1345: warning: global variable `$preload' not initialized
- /usr/bin/make
- make[1]: Entering directory `/build/buildd/libxslt-ruby-0.9.2'
- gcc -I. -I/usr/lib/ruby/1.8/i686-linux -I/usr/lib/ruby/1.8/i686-linux -I. -DRUBY_EXTCONF_H=\"extconf.h\"  -D_FILE_OFFSET_BITS=64  -fPIC -g -Wall -fno-strict-aliasing -g -g -O2  -fPIC  -I/usr/include/libxml2 -DUSE_EXSLT  -c xslt.c
- xslt.c: In function 'ruby_xslt_to_s':
- xslt.c:508:22: warning: initialization discards 'const' qualifier from pointer target type [enabled by default]
- gcc -I. -I/usr/lib/ruby/1.8/i686-linux -I/usr/lib/ruby/1.8/i686-linux -I. -DRUBY_EXTCONF_H=\"extconf.h\"  -D_FILE_OFFSET_BITS=64  -fPIC -g -Wall -fno-strict-aliasing -g -g -O2  -fPIC  -I/usr/include/libxml2 -DUSE_EXSLT  -c extfunc.c
- gcc -I. -I/usr/lib/ruby/1.8/i686-linux -I/usr/lib/ruby/1.8/i686-linux -I. -DRUBY_EXTCONF_H=\"extconf.h\"  -D_FILE_OFFSET_BITS=64  -fPIC -g -Wall -fno-strict-aliasing -g -g -O2  -fPIC  -I/usr/include/libxml2 -DUSE_EXSLT  -c parser.c
- parser.c: In function 'parse':
- parser.c:112:7: warning: variable 'iXMLDocumentResult' set but not used [-Wunused-but-set-variable]
- gcc -I. -I/usr/lib/ruby/1.8/i686-linux -I/usr/lib/ruby/1.8/i686-linux -I. -DRUBY_EXTCONF_H=\"extconf.h\"  -D_FILE_OFFSET_BITS=64  -fPIC -g -Wall -fno-strict-aliasing -g -g -O2  -fPIC  -I/usr/include/libxml2 -DUSE_EXSLT  -c parameters.c
- gcc -I. -I/usr/lib/ruby/1.8/i686-linux -I/usr/lib/ruby/1.8/i686-linux -I. -DRUBY_EXTCONF_H=\"extconf.h\"  -D_FILE_OFFSET_BITS=64  -fPIC -g -Wall -fno-strict-aliasing -g -g -O2  -fPIC  -I/usr/include/libxml2 -DUSE_EXSLT  -c rb_utils.c
- gcc -shared -o libxslt.so xslt.o extfunc.o parser.o parameters.o rb_utils.o -L/usr/lib -L. -L/usr/lib -L. -Wl,-Bsymbolic-functions -rdynamic -Wl,-export-dynamic -L/usr/lib/i386-linux-gnu -lxslt -lxml2 -lexslt    -lruby1.8  -lpthread -lrt -ldl -lcrypt -lm   -lc
- ./libxslt.so: file not recognized: File truncated
- collect2: ld returned 1 exit status
- make[1]: *** [libxslt.so] Error 1
- make[1]: Leaving directory `/build/buildd/libxslt-ruby-0.9.2'
- make: *** [install/libxslt-ruby1.8] Error 2
- dpkg-buildpackage: error: /usr/bin/fakeroot debian/rules binary gave error exit status 2
- ******************************************************************************
- Build finished at 20120208-0553
- FAILED [dpkg-buildpackage died]
- The full buidlog can be found at https://launchpad.net/ubuntu/+archive/test-rebuild-20120201/+build/3160360/+files/buildlog_ubuntu-precise-i386.libxslt-ruby_0.9.2-5_FAILEDTOBUILD.txt.gz.
- [1] http://people.ubuntuwire.org/~wgrant/rebuild-ftbfs-test/test-rebuild-20120201-precise.html
+ Debian removal note:
+ ------------------- Reason -------------------
+ RoQA; unused, orphaned, no revdeps
+ ----------------------------------------------

** Changed in: libxslt-ruby (Ubuntu Precise)
       Status: New => Confirmed

You received this bug notification because you are a member of Ubuntu
Package Archive Administrators, which is subscribed to the bug report.

  Please remove libxslt-ruby source and binaries from precise

To manage notifications about this bug go to:

More information about the ubuntu-archive mailing list